Age Validation

circle-info

URL Base:

  • UAT: https://api.id.uat.unico.app.

  • Production: https://api.id.unico.app.

circle-check

Create Age Validation Process

post

Endpoint to create a new Age Validation process in by Client

Header parameters
AuthorizationstringRequired

Valid access-token.

APIKEYstringRequired

Valid APIKEY with the capabilities for Age Validation use.

Body
useCasestringOptional

Operation's use case.

Example: Onboarding
subsidiaryIdstringOptional

The ID of the branch where the process will be created. If there is only one branch associated with the service account, there is no need to pass this parameter. If there is a separation of processes by branch, you will receive the branch IDs from the Unico team.

Example: 35d734c4-7fbb-4b2f-a1dc-7e1575514819
imageBase64stringRequired

Encrypted file generated by the SDK or base64 (if not using Liveness Detection).

Example: /9j/4AAQSkZJR...
Responses
chevron-right
200

Process created successfully.

application/json
idstringOptional

Process ID.

Example: 80371b2a-3ac7-432e-866d-57fe37896ac6
statusinteger · enumOptional

Process status. Possible values: '3' - Completed; - '5' - Error (occurs when there is an error in processing).

Example: 3Possible values:
livenessinteger · enumOptional

Liveness detection result. Possible values: '1' - Liveness detection approved; '2' - Liveness detection rejected.

Example: 1Possible values:
post
/processes/v1
circle-exclamation
circle-check

Errors

Code
Message
Description

20900

O base64 informado não é válido.

The base64 parameter is invalid. Possible causes: It's not an image or it's an injection attempt.

20807

A imagem precisa estar no padrão HD ou possuir uma resolução superior a 640 x 480.

The resolution of the uploaded image is too low.

20507

O parâmetro subject.code é inválido.

Non-standard or non-existent CPF.

20506

O base64 informado é muito grande. O tamanho máximo suportado é até 800kb.

When the e-mail address provided is not vThe image is too large. The image can be compressed to JPEG92 without loss of quality.

20505

O base64 informado não é suportado. Os formatos aceitos são png, jpeg e webp.

When the phone number entered is not validBase64 invalid. Possible causes: not a valid image or invalid prefix.

20009

O parâmetro imagebase64 não foi informado.

The imagebase64 parameter, which contains the person's selfie, is missing.

20006

O parâmetro subject.name não foi informado.

The subject.name parameter, which contains the person's name, is missing.

20005

O parâmetro subject.code não foi informado.

The subject.code parameter, which contains the person's cpf, is missing.

20004

O parâmetro subject não foi informado.

The subject parameter, which contains the person's data (cpf, name), is missing.

20003

The request body is missing or invalid.

Null or invalid payload.

20002

O parâmetro APIKey não foi informado.

The APIKEY parameter is missing from the request header.

20001

O parâmetro authtoken não foi informado

The integration token parameter is missing from the request header.

10508

The JWT with the captured face has already been used.

The jwt can only be used once.

10507

The JWT with the captured face is expired.

JWT expired. The .jwt must be sent within 10 minutes.

10506

The bundle is invalid.

Invalid bundle. APIKEY uses a security method and this request does not meet the security requirements (SDK).

Last updated

Was this helpful?